## fwupd-error fwupd-error — an error domain shared by the daemon and library |

## Functions

GQuark | fwupd_error_quark ()
const gchar * | fwupd_error_to_string ()
FwupdError | fwupd_error_from_string ()

## Types and Values

#define | FWUPD_ERROR
enum | FwupdError

## Description

This file also provides helper functions to map errors to strings and back again.

See also: fwupd-enums

## Functions

### fwupd_error_quark ()

    GQuark
    fwupd_error_quark (void);

#### Returns

An error quark.

Since: 0.1.1

### fwupd_error_to_string ()

    const gchar *
    fwupd_error_to_string (FwupdError error);

Converts a FwupdError to a string.

#### Parameters

error | A FwupdError, e.g. `FWUPD_ERROR_VERSION_NEWER` |

#### Returns

identifier string

Since: 0.7.0

### fwupd_error_from_string ()

    FwupdError
    fwupd_error_from_string (const gchar *error);

Converts a string to a FwupdError.

#### Parameters

error | A string, e.g. `org.freedesktop.fwupd.VersionNewer` |

#### Returns

enumerated value

Since: 0.7.0

## Types and Values

### FWUPD_ERROR

    #define FWUPD_ERROR			fwupd_error_quark()

### enum FwupdError

The flags to use when loading the archive.

#### Members

FWUPD_ERROR_INTERNAL |  |
FWUPD_ERROR_VERSION_NEWER |  |
FWUPD_ERROR_VERSION_SAME |  |
FWUPD_ERROR_ALREADY_PENDING |  |
FWUPD_ERROR_AUTH_FAILED |  |
FWUPD_ERROR_READ |  |
FWUPD_ERROR_WRITE |  |
FWUPD_ERROR_INVALID_FILE |  |
FWUPD_ERROR_NOT_FOUND |  |
FWUPD_ERROR_NOTHING_TO_DO |  |
FWUPD_ERROR_NOT_SUPPORTED |  |
FWUPD_ERROR_SIGNATURE_INVALID |  |
FWUPD_ERROR_AC_POWER_REQUIRED |  |
FWUPD_ERROR_PERMISSION_DENIED |  |
FWUPD_ERROR_BROKEN_SYSTEM |  |